# List provider profile imports Returns a list of all the provider profiles that have been imported so far. You can filter the selection by source, status, providerId, get only latest record for each provider, and change the sorting and pages. Endpoint: GET /providers/profiles/import Version: 26.2.0.4309 Security: Bearer ## Query parameters: - `latest` (boolean) If set, returns only the most recent import of each source type for a given provider. - `status` (string) If set, returns only the profiles with this status. Enum: "Pending", "Working", "Completed", "Failed" - `source` (string) If set, returns only the profiles of this source. Enum: "Npi", "CaqhPo", "AmericanMedicalAssociationPhysician", "AmericanMedicalAssociationPhysicianAssistant" - `providerId` (string) If set, returns only the imports for a given provider. - `sortedBy` (string) Enum: "Id", "Source", "Status", "Completed", "Started" - `sort` (object) If set, the properties and directions the returned data will be sorted by. - `cursor` (string) The cursor to render the page requested. To load the first page send an empty cursor, then the system will generate the cursors to go to the next and/or previous pages automatically. - `count` (integer) The number of items to include in a single page. - `sortDirection` (string) The direction the returned data will be sorted by. Enum: "Asc", "Desc" - `offset` (integer) The offset for the page to start. ## Response 200 fields (application/json): - `sort` (object) The properties and directions the data is sorted by. Example: {"Id":"Asc","Source":"Desc","Status":"Asc","Completed":"Desc"} - `sort.Keys` (string) Enum: "Id", "Source", "Status", "Completed", "Started" - `sort.Values` (string) Enum: "Asc", "Desc" - `previousCursor` (string) The value to use for cursor to get to the previous paginated page. null will be returned if it's the first page. Example: "string" - `nextCursor` (string) The value to use for cursor to get to the next paginated page. null will be returned if it's the last page. Example: "string" - `pageSize` (integer) The maximum number of items included in this page. - `count` (integer) The number of items in this page. - `totalCount` (integer) The total number of items in all pages combined. - `items` (array) The provider profile imports in the current page. Example: [{"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","providerId":"4834bcdc-4a64-444d-966b-1a6fe381da24","source":"Npi","started":"2019-08-24T14:15:22.0000000Z","completed":"2019-08-24T14:15:22.0000000Z","status":"Pending","trigger":"Manual","failureCode":"DatabaseError","failureReason":{"messageTemplate":"string","messageParams":{"property1":"string","property2":"string"}},"profile":{"type":"Npi","npiNumber":0,"enumerationType":"string","basic":{"replacementNpi":0,"ein":"string","organizationName":"string","lastName":"string","firstName":"string","middleName":"string","namePrefix":"string","nameSuffix":"string","credential":"string","enumerationDate":"2019-08-24T14:15:22.0000000Z","lastUpdateDate":"2019-08-24T14:15:22.0000000Z","certificationDate":"2019-08-24T14:15:22.0000000Z","isSoleProprietor":true,"isOrganizationalSubpart":true,"parentOrganizationLbn":"string","parentOrganizationTin":"string","authorizedOfficialNamePrefix":"string","authorizedOfficialNameSuffix":"string","authorizedOfficialCredential":"string","authorizedOfficialFirstName":"string","authorizedOfficialLastName":"string","authorizedOfficialMiddleName":"string","authorizedOfficialTelephoneNumber":"string","authorizedOfficialTitleOrPosition":"string","deactivationDate":"2019-08-24T14:15:22.0000000Z","reactivationDate":"2019-08-24T14:15:22.0000000Z","gender":"string","status":"string","name":"string"},"otherNames":[{"nameTypeCode":"string","lastName":"string","firstName":"string","middleName":"string","prefix":"string","suffix":"string","credential":"string","type":"string","organizationName":"string"}],"addresses":[{"addressLine1":"string","addressLine2":"string","state":"AL","postalCode":"string","countryCode":"string","city":"string","telephoneNumber":"string","faxNumber":"string","purpose":"Location","updateDate":"2019-08-24T14:15:22.0000000Z"}],"practiceLocations":[{"addressLine1":"string","addressLine2":"string","state":"AL","postalCode":"string","countryCode":"string","city":"string","telephoneNumber":"string","faxNumber":"string","purpose":"Location","updateDate":"2019-08-24T14:15:22.0000000Z"}],"taxonomies":[{"code":"string","license":"string","state":"AL","isPrimary":true,"description":"string","taxonomyGroup":"string"}],"identifiers":[{"number":"string","code":"string","state":"AL","issuer":"string","description":"string"}],"isDeactivated":true,"deactivationReason":"string"},"parameters":[{"addressType":"Unspecified","addressLine":"string","city":"string","state":"AL","zipCode":"string","type":"Name"}]}] - `items.id` (string) Unique identifier associated with this provider profile import. - `items.providerId` (string) The provider unique identifier associated with this profile import. - `items.source` (string) Source of the import. Enum: "Npi", "CaqhPo", "AmericanMedicalAssociationPhysician", "AmericanMedicalAssociationPhysicianAssistant" - `items.started` (string) TimeStamp of this import when started - `items.completed` (string) TimeStamp of this import when completed or null if is still in progress. - `items.status` (string) Status of the import. If it is Pending or Working it means that we are busy performing the import. Once the status is Completed or Failed the import is done. Enum: "Pending", "Working", "Completed", "Failed" - `items.trigger` (string) Type of trigger for this import. Enum: "Manual", "Automated" - `items.failureCode` (string) If set it means there was an error during the import or null when no errors happened. Enum: "DatabaseError", "InvalidImportSourceError", "UnknownError", "ParseError", "NpiSourceError", "ImportError", "ImportRequestError", "SourceError", "NoContent", "BadRequest", "Unauthorized", "Forbidden", "NotFound", "NotAcceptable", "RequestTimeout", "TooManyRequests", "InternalServerError", "BadGateway", "ServiceUnavailable", "GatewayTimeout" - `items.failureReason` (object) An object with a reason message template and an array of params. Can be used to construct a meaningful description of the error. Not set when no errors happened. - `items.failureReason.messageTemplate` (string) An informative human readable message describing the verification failure. - `items.failureReason.messageParams` (object) Collection of key/value pairs containing parameters to be replaced in messageTemplate. - `items.profile` (any) - `items.parameters` (array) - `sortedBy` (string) The property by which the data is sorted. Enum: "Id", "Source", "Status", "Completed", "Started" - `sortDirection` (string) The direction in which the data is sorted. Enum: "Asc", "Desc" - `nextOffset` (integer) The value to use for offset to get the next page following the current page or null if this page is the last. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields